System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class is used as a basic structure to store two related objects. It is a utility class that is used in various ways throughout ASP.NET, such as during page state management tasks or in configuration section handlers. You can use the class in your own code anywhere that you need a structure to contain two related objects and where data hiding is not essential. The class does not encapsulate its object references, and , in properties; it exposes them directly to all calling code as public class fields.

The class can be used in several ways in page state persistence implementations. The most common use is as a container for both the and collections. In this case, the property is used for , and the for .

Provides a basic utility class that is used to store two related objects.

- Constructor
  To be added

  Creates a new, uninitialized instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  a
  a
  To be added

  Initializes a new instance of the class, using the specified object pair.

  1.0.5000.0
  2.0.0.0
- Field
  System.Object To be added

  Gets or sets the first object of the object pair.

  1.0.5000.0
  2.0.0.0
- Field
  System.Object To be added

  Gets or sets the second object of the object pair.

  1.0.5000.0
  2.0.0.0